petsc-3.12.4 2020-02-04
Report Typos and Errors

# TAOLMVM

Limited Memory Variable Metric method is a quasi-Newton optimization solver for unconstrained minimization. It solves the Newton step Hkdk = - gk using an approximation Bk in place of Hk, where Bk is composed using the BFGS update formula. A More-Thuente line search is then used to computed the steplength in the dk direction

### Options Database Keys

| -tao_lmvm_recycle | - enable recycling LMVM updates between TaoSolve() calls
| -tao_lmvm_no_scale | - (developer) disables diagonal Broyden scaling on the LMVM approximation

### Level

beginner

### Location

src/tao/unconstrained/impls/lmvm/lmvm.c

### Examples

src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F90.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages